Package: grails.ui.support

## [Groovy] Class DevelopmentGrailsApplication

- grails.ui.support.DevelopmentGrailsApplication

- Authors:
    Graeme Rocher
  Since:
    3.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.boot.SpringApplication` | `DEFAULT_CONTEXT_CLASS, DEFAULT_WEB_CONTEXT_CLASS, BANNER_LOCATION_PROPERTY_VALUE, BANNER_LOCATION_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected DevelopmentGrailsApplication (java.lang.Object... sources)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.Object` | `configureApplicationContextClass()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsApp` | `compileGroovyFile, configureDirectoryWatcher, configureEnvironment, createApplicationContext, createPluginManagerListener, enableDevelopmentModeWatch, isDevelopmentModeActive, printRunStatus, recompile, run, run, run, setDevelopmentModeActive`
    `class org.springframework.boot.SpringApplication` | `org.springframework.boot.SpringApplication#addListeners([Lorg.springframework.context.ApplicationListener;), org.springframework.boot.SpringApplication#getListeners(), org.springframework.boot.SpringApplication#isWebEnvironment(), org.springframework.boot.SpringApplication#getMainApplicationClass(), org.springframework.boot.SpringApplication#setMainApplicationClass(java.lang.Class), org.springframework.boot.SpringApplication#setWebEnvironment(boolean), org.springframework.boot.SpringApplication#setHeadless(boolean), org.springframework.boot.SpringApplication#setRegisterShutdownHook(boolean), org.springframework.boot.SpringApplication#setBanner(org.springframework.boot.Banner), org.springframework.boot.SpringApplication#setBannerMode(org.springframework.boot.Banner$Mode), org.springframework.boot.SpringApplication#setLogStartupInfo(boolean), org.springframework.boot.SpringApplication#setAddCommandLineProperties(boolean), org.springframework.boot.SpringApplication#setDefaultProperties(java.util.Map), org.springframework.boot.SpringApplication#setDefaultProperties(java.util.Properties), org.springframework.boot.SpringApplication#setAdditionalProfiles([Ljava.lang.String;), org.springframework.boot.SpringApplication#getSources(), org.springframework.boot.SpringApplication#setSources(java.util.Set), org.springframework.boot.SpringApplication#setApplicationContextClass(java.lang.Class), org.springframework.boot.SpringApplication#setInitializers(java.util.Collection), org.springframework.boot.SpringApplication#addInitializers([Lorg.springframework.context.ApplicationContextInitializer;), org.springframework.boot.SpringApplication#getInitializers(), org.springframework.boot.SpringApplication#setListeners(java.util.Collection), org.springframework.boot.SpringApplication#setEnvironment(org.springframework.core.env.ConfigurableEnvironment), org.springframework.boot.SpringApplication#getResourceLoader(), org.springframework.boot.SpringApplication#setBeanNameGenerator(org.springframework.beans.factory.support.BeanNameGenerator), org.springframework.boot.SpringApplication#setResourceLoader(org.springframework.core.io.ResourceLoader), org.springframework.boot.SpringApplication#main([Ljava.lang.String;), org.springframework.boot.SpringApplication#run([Ljava.lang.Object;, [Ljava.lang.String;), org.springframework.boot.SpringApplication#run([Ljava.lang.String;), org.springframework.boot.SpringApplication#run(java.lang.Object, [Ljava.lang.String;), org.springframework.boot.SpringApplication#exit(org.springframework.context.ApplicationContext, [Lorg.springframework.boot.ExitCodeGenerator;), org.springframework.boot.SpringApplication#getClassLoader(), org.springframework.boot.SpringApplication#wait(long, int), org.springframework.boot.SpringApplication#wait(long), org.springframework.boot.SpringApplication#wait(), org.springframework.boot.SpringApplication#equals(java.lang.Object), org.springframework.boot.SpringApplication#toString(), org.springframework.boot.SpringApplication#hashCode(), org.springframework.boot.SpringApplication#getClass(), org.springframework.boot.SpringApplication#notify(), org.springframework.boot.SpringApplication#notifyAll()`

- - ### Constructor Detail

    - #### protected DevelopmentGrailsApplication(java.lang.Object... sources)

  - ### Method Detail

    - #### protected java.lang.Object configureApplicationContextClass()